Package com.google.android.exoplayer2.util

## Interface NetworkTypeObserver.Listener

- Enclosing class:
    NetworkTypeObserver

      public static interface NetworkTypeObserver.Listener

  A listener for network type changes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onNetworkTypeChanged​(@com.google.android.exoplayer2.C.NetworkType int networkType)` | Called when the network type changed or when the listener is first registered.

- - ### Method Detail

    - #### onNetworkTypeChanged

          void onNetworkTypeChanged​(@NetworkType
                                    @com.google.android.exoplayer2.C.NetworkType int networkType)

      Called when the network type changed or when the listener is first registered.

      This method is always called on the main thread.